import CRUDBase from '../CRUDBase.js'

class TrapResource extends CRUDBase {
    constructor() {
        super()

        this.endpoint = '/api/v1/auth/traps'
        this.required_fields = ['name', 'trap', 'redirect_to']
        this.permission_base = 'v1:auth:traps'

        this.item = 'Trap'
        this.plural = 'Traps'
    }
}

const auth_trap = new TrapResource()
export { auth_trap }
